import request from '@/utils/request'

// 查询每日考勤信息列表
export function listClockingin(query) {
  return request({
    url: '/clockingin/clockingin/list',
    method: 'get',
    params: query
  })
}

// 查询每日考勤信息详细
export function getClockingin(clockingInId) {
  return request({
    url: '/clockingin/clockingin/' + clockingInId,
    method: 'get'
  })
}

// 新增每日考勤信息
export function addClockingin(data) {
  return request({
    url: '/clockingin/clockingin',
    method: 'post',
    data: data
  })
}

// 修改每日考勤信息
export function updateClockingin(data) {
  return request({
    url: '/clockingin/clockingin',
    method: 'put',
    data: data
  })
}

// 删除每日考勤信息
export function delClockingin(clockingInId) {
  return request({
    url: '/clockingin/clockingin/' + clockingInId,
    method: 'delete'
  })
}

// 导出每日考勤信息
export function exportClockingin(query) {
  return request({
    url: '/clockingin/clockingin/export',
    method: 'get',
    params: query
  })
}